Skip to content

Create a team member​

POST
/team/members

Creates an active team member with the member role. New users receive a random temporary password when one is not supplied. Emails already attached to a Managani account are rejected.

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
  
"name": "string",
  
"email": "string",
  
"password": "string",
  
"send_welcome_email": true
}

Responses​

Created. temporary_password is the one-time password for the new Managani user.

application/json
JSON
{
  
"member": "string",
  
"created_user": true,
  
"temporary_password": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI